package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.CriminalOffenceRate;
import com.lightinit.hsdatashow.entity.CriminalOffenceRateExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CriminalOffenceRateMapper {
    long countByExample(CriminalOffenceRateExample example);

    int deleteByExample(CriminalOffenceRateExample example);

    int deleteByPrimaryKey(Long id);

    int insert(CriminalOffenceRate record);

    int insertSelective(CriminalOffenceRate record);

    List<CriminalOffenceRate> selectByExample(CriminalOffenceRateExample example);

    CriminalOffenceRate selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") CriminalOffenceRate record, @Param("example") CriminalOffenceRateExample example);

    int updateByExample(@Param("record") CriminalOffenceRate record, @Param("example") CriminalOffenceRateExample example);

    int updateByPrimaryKeySelective(CriminalOffenceRate record);

    int updateByPrimaryKey(CriminalOffenceRate record);
}